using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using CallCenterApi.DB;
namespace CallCenterApi.DAL
{
	/// <summary>
	/// 数据访问类:T_Web_WorkAccountSearch
	/// </summary>
	public partial class T_Web_WorkAccountSearch
	{
		public T_Web_WorkAccountSearch()
		{}
		#region  Method

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(string F_WorkOrderId)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) from T_Web_WorkAccountSearch");
			strSql.Append(" where F_WorkOrderId=@F_WorkOrderId ");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WorkOrderId", SqlDbType.VarChar,20)			};
			parameters[0].Value = F_WorkOrderId;

			return DbHelperSQL.Exists(strSql.ToString(),parameters);
		}


		/// <summary>
		/// 增加一条数据
		/// </summary>
		public bool Add(CallCenterApi.Model.T_Web_WorkAccountSearch model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_Web_WorkAccountSearch(");
			strSql.Append("F_WorkOrderId,F_SearchPassword,F_AddTime)");
			strSql.Append(" values (");
			strSql.Append("@F_WorkOrderId,@F_SearchPassword,@F_AddTime)");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WorkOrderId", SqlDbType.VarChar,20),
					new SqlParameter("@F_SearchPassword", SqlDbType.VarChar,10),
					new SqlParameter("@F_AddTime", SqlDbType.DateTime)};
			parameters[0].Value = model.F_WorkOrderId;
			parameters[1].Value = model.F_SearchPassword;
			parameters[2].Value = model.F_AddTime;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(CallCenterApi.Model.T_Web_WorkAccountSearch model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_Web_WorkAccountSearch set ");
			strSql.Append("F_SearchPassword=@F_SearchPassword,");
			strSql.Append("F_AddTime=@F_AddTime");
			strSql.Append(" where F_WorkOrderId=@F_WorkOrderId ");
			SqlParameter[] parameters = {
					new SqlParameter("@F_SearchPassword", SqlDbType.VarChar,10),
					new SqlParameter("@F_AddTime", SqlDbType.DateTime),
					new SqlParameter("@F_WorkOrderId", SqlDbType.VarChar,20)};
			parameters[0].Value = model.F_SearchPassword;
			parameters[1].Value = model.F_AddTime;
			parameters[2].Value = model.F_WorkOrderId;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(string F_WorkOrderId)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Web_WorkAccountSearch ");
			strSql.Append(" where F_WorkOrderId=@F_WorkOrderId ");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WorkOrderId", SqlDbType.VarChar,20)			};
			parameters[0].Value = F_WorkOrderId;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_WorkOrderIdlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Web_WorkAccountSearch ");
			strSql.Append(" where F_WorkOrderId in ("+F_WorkOrderIdlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public CallCenterApi.Model.T_Web_WorkAccountSearch GetModel(string F_WorkOrderId)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_WorkOrderId,F_SearchPassword,F_AddTime from T_Web_WorkAccountSearch ");
			strSql.Append(" where F_WorkOrderId=@F_WorkOrderId ");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WorkOrderId", SqlDbType.VarChar,20)			};
			parameters[0].Value = F_WorkOrderId;

			CallCenterApi.Model.T_Web_WorkAccountSearch model=new CallCenterApi.Model.T_Web_WorkAccountSearch();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				if(ds.Tables[0].Rows[0]["F_WorkOrderId"]!=null && ds.Tables[0].Rows[0]["F_WorkOrderId"].ToString()!="")
				{
					model.F_WorkOrderId=ds.Tables[0].Rows[0]["F_WorkOrderId"].ToString();
				}
				if(ds.Tables[0].Rows[0]["F_SearchPassword"]!=null && ds.Tables[0].Rows[0]["F_SearchPassword"].ToString()!="")
				{
					model.F_SearchPassword=ds.Tables[0].Rows[0]["F_SearchPassword"].ToString();
				}
				if(ds.Tables[0].Rows[0]["F_AddTime"]!=null && ds.Tables[0].Rows[0]["F_AddTime"].ToString()!="")
				{
					model.F_AddTime=DateTime.Parse(ds.Tables[0].Rows[0]["F_AddTime"].ToString());
				}
				return model;
			}
			else
			{
				return null;
			}
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_WorkOrderId,F_SearchPassword,F_AddTime ");
			strSql.Append(" FROM T_Web_WorkAccountSearch ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_WorkOrderId,F_SearchPassword,F_AddTime ");
			strSql.Append(" FROM T_Web_WorkAccountSearch ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_Web_WorkAccountSearch ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_WorkOrderId desc");
			}
			strSql.Append(")AS Row, T.*  from T_Web_WorkAccountSearch T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_Web_WorkAccountSearch";
			parameters[1].Value = "F_WorkOrderId";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  Method
	}
}

